<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
          "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
          "http://www.hibernate.org/dtd/hibernate-configuration">

<hibernate-mapping>
    <class name = "com.ideas2it.empresa.model.Project" table = "project">
    <id name = "id">
          <generator class="increment"></generator>
    </id>
    <property name = "name" column = "name"/>
    <property name = "description" column = "description"/> 
    <property name = "isDeleted" column = "is_deleted"/>
    
    <many-to-one name="client" column="client_id" class="com.ideas2it.empresa.model.Client" not-null = "true"/>
    
    <bag name = "employees" table = "employee_project" lazy = "false" cascade = "save-update">
        <key>
            <column name = "proj_id"/>
        </key>    
        <many-to-many class = "com.ideas2it.empresa.model.Employee" column = "emp_id"/>
    </bag> 
    </class>
</hibernate-mapping>
